Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletContainerImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletContainerImpl

All Implemented Interfaces:
  PortletContainerObject, PortletContainer

    public class PortletContainerImpl

extends java.lang.Object
implements PortletContainerObject

Version:
  $Revision: 6365 $
Author:
  Julien Viet

Field Summary
`protected PortletApplicationImpl` | `application` .
`protected java.lang.String` | `className` The portlet implementation class name.
`protected PortletConfig` | `config` The portlet config.
`protected org.apache.log4j.Logger` | `log` Logger.
`protected Portlet` | `portlet` The portlet instance.
`protected PreferencesValidator` | `preferencesValidator` The preference validator, this is not exposed as runtime meta data as it is only used by the JSR 168 portlet container implementation.
`protected boolean` | `started` Are we started or not.
`protected java.util.Set` | `userDataConstraints` User data constraint.
`protected org.jboss.portal.common.concurrent.Valve` | `valve` The invocation valve.

Constructor Summary
`PortletContainerImpl(ContainerPortletInfo info)`

Method Summary
`void` | `addPortletFilter(PortletFilter filter)` Add a filter.
`PortletInvocationResponse` | `dispatch(PortletInvocation invocation)` Invoke the portlet container.
`PortletConfig` | `getConfig()`
`PortletContainerContext` | `getContext()` Returns the context of the portlet container.
`java.lang.String` | `getId()` Return the portlet container id, unique within the context of the parent application.
`ContainerPortletInfo` | `getInfo()` Returns the runtime meta data of the container.
`Portlet` | `getPortlet()`
`PortletApplication` | `getPortletApplication()` Returns the wired application.
`PreferencesValidator` | `getPreferencesValidator()`
`java.util.Set` | `getUserDataConstraints()`
`org.jboss.portal.common.concurrent.Valve` | `getValve()`
`void` | `removePortletFilter(PortletFilter filter)` Remove a filter.
`void` | `setContext(PortletContainerContext context)` Set/unset the portlet container context.
`void` | `setPortletApplication(PortletApplication application)` Set/unset the application.
`void` | `start()` Starts the portlet container.
`void` | `stop()` Stops the portlet container.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected final org.apache.log4j.Logger log

  Logger.

### application

    protected PortletApplicationImpl application

  .

### className

    protected java.lang.String className

  The portlet implementation class name.

### config

    protected PortletConfig config

  The portlet config.

### portlet

    protected Portlet portlet

  The portlet instance.

### valve

    protected final org.jboss.portal.common.concurrent.Valve valve

  The invocation valve.

### started

    protected boolean started

  Are we started or not.

### userDataConstraints

    protected java.util.Set userDataConstraints

  User data constraint.

### preferencesValidator

    protected PreferencesValidator preferencesValidator

  The preference validator, this is not exposed as runtime meta data as it is only used by the JSR 168 portlet container implementation.

Constructor Detail

### PortletContainerImpl

    public PortletContainerImpl(ContainerPortletInfo info)

Method Detail

### setContext

    public void setContext(PortletContainerContext context)

  Description copied from interface: `PortletContainerObject`
  Set/unset the portlet container context.

  Specified by:
    `setContext` in interface `PortletContainerObject`
  Parameters:
    `context` - the context

### getContext

    public PortletContainerContext getContext()

  Description copied from interface: `PortletContainer`
  Returns the context of the portlet container.

  Specified by:
    `getContext` in interface `PortletContainer`
  Returns:
    the context

### getInfo

    public ContainerPortletInfo getInfo()

  Description copied from interface: `PortletContainer`
  Returns the runtime meta data of the container.

  Specified by:
    `getInfo` in interface `PortletContainer`
  Returns:
    the info

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletContainer`
  Return the portlet container id, unique within the context of the parent application.

  Specified by:
    `getId` in interface `PortletContainer`
  Returns:
    the id

### addPortletFilter

    public void addPortletFilter(PortletFilter filter)

  Description copied from interface: `PortletContainerObject`
  Add a filter.

  Specified by:
    `addPortletFilter` in interface `PortletContainerObject`
  Parameters:
    `filter` - the portlet filter

### removePortletFilter

    public void removePortletFilter(PortletFilter filter)

  Description copied from interface: `PortletContainerObject`
  Remove a filter.

  Specified by:
    `removePortletFilter` in interface `PortletContainerObject`
  Parameters:
    `filter` - the portlet filter

### start

    public void start()
               throws PortletInitializationException

  Description copied from interface: `PortletContainerObject`
  Starts the portlet container.

  Specified by:
    `start` in interface `PortletContainerObject`
  Throws:
    `PortletInitializationException`

### stop

    public void stop()

  Description copied from interface: `PortletContainerObject`
  Stops the portlet container.

  Specified by:
    `stop` in interface `PortletContainerObject`

### getConfig

    public PortletConfig getConfig()

### getPortlet

    public Portlet getPortlet()

### getPortletApplication

    public PortletApplication getPortletApplication()

  Description copied from interface: `PortletContainer`
  Returns the wired application.

  Specified by:
    `getPortletApplication` in interface `PortletContainer`
  Returns:
    the application

### setPortletApplication

    public void setPortletApplication(PortletApplication application)

  Description copied from interface: `PortletContainerObject`
  Set/unset the application.

  Specified by:
    `setPortletApplication` in interface `PortletContainerObject`
  Parameters:
    `application` - the related application

### getValve

    public org.jboss.portal.common.concurrent.Valve getValve()

### getUserDataConstraints

    public java.util.Set getUserDataConstraints()

### getPreferencesValidator

    public PreferencesValidator getPreferencesValidator()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### dispatch

    public PortletInvocationResponse dispatch(PortletInvocation invocation)
                                       throws PortletInvokerException,
                                              org.jboss.portal.common.invocation.InvocationException

  Description copied from interface: `PortletContainer`
  Invoke the portlet container.

  Specified by:
    `dispatch` in interface `PortletContainer`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the portlet invocation response
  Throws:
    `PortletInvokerException` - a portlet invoker exception
    `org.jboss.portal.common.invocation.InvocationException` - an invocation exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.